package bytecode;

import static org.junit.Assert.*;

import java.io.File;
import java.lang.reflect.Method;
import java.net.URL;
import java.net.URLClassLoader;
import java.util.Vector;

import org.junit.BeforeClass;
import org.junit.Test;

import de.dhbwstuttgart.core.JavaTXCompiler;

public class VectorSuperTest {
	
	private static String path;
	private static File fileToTest;
	private static JavaTXCompiler compiler;
	private static ClassLoader loader;
	private static Class<?> classToTest;
	private static String pathToClassFile;
	private static Object instanceOfClass;
	
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
		path = System.getProperty("user.dir")+"/src/test/resources/bytecode/javFiles/VectorSuper.jav";
		fileToTest = new File(path);
		compiler = new JavaTXCompiler(fileToTest);
		pathToClassFile = System.getProperty("user.dir")+"/src/test/resources/testBytecode/generatedBC/";
		compiler.generateBytecode(pathToClassFile);
		loader = new URLClassLoader(new URL[] {new URL("file://"+pathToClassFile)});
		classToTest = loader.loadClass("VectorSuper");
		instanceOfClass = classToTest.getDeclaredConstructor().newInstance();
	}

	@Test
	public void test1() throws Exception {
		Method m = classToTest.getDeclaredMethod("m", Vector.class);
		//Object result = m.invoke(instanceOfClass, 1);
		
		//assertEquals(1,result);
	}
}
